<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("na" . "me" => base64_decode("bmF" . "tZQ" . "=="), "_c80a67ccfaf6579232efc" . "354d30eb275" => base64_decode("dmV" . "yc2" . "lvb" . "g=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["na" . "me"] => $this->name, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c80a67cc" . "faf657923" . "2efc354d3" . "0eb275"] => $this->version];
    }
}